Bug 1018821 - gtkpod 2.1.3-5.fc21 segmentation fault
gtkpod 2.1.3-5.fc21 segmentation fault
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtkpod (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 09:12 EDT by Piruthiviraj Natarajan
Modified: 2014-03-04 01:44 EST (History)
2 users (show)

See Also:
Fixed In Version: gtkpod-2.1.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-04 01:44:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piruthiviraj Natarajan 2013-10-14 09:12:02 EDT
Description of problem:
Cannot start gtkpod either through GUI or terminal.

Version-Release number of selected component (if applicable):

yum info gtkpod
Loaded plugins: refresh-packagekit
Installed Packages
Name        : gtkpod
Arch        : x86_64
Version     : 2.1.3
Release     : 5.fc21
Size        : 5.7 M
Repo        : installed
From repo   : rawhide

How reproducible:

all the time
Steps to Reproduce:
1. Start a terminal 
2. try starting  gtkpod


Actual results:

/usr/bin/gtkpod --verbose
Segmentation fault

I checked the upstream page which suggests gtkpod 2.1.4 is Supported for anjuta library dependency up to version 3.9.90.
Whereas Fedora already has 3.10.0-1.fc21 Is this the reason for breakage?

Looks like it might affect fedora 20 as well.
Comment 1 Gwyn Ciesla 2013-11-06 09:59:49 EST
2.1.4 just hit rawhide, please test and see if that helps.  If you can't install it, please let me know what Fedora release and arch you need a build for.

http://koji.fedoraproject.org/koji/buildinfo?buildID=476496
Comment 2 Piruthiviraj Natarajan 2013-11-07 21:41:22 EST
yea it works in rawhide now. F19 was working previously too. But right now I don't have F19.
Comment 3 Fedora Update System 2014-02-21 10:37:04 EST
gtkpod-2.1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gtkpod-2.1.4-1.fc19
Comment 4 Fedora Update System 2014-02-22 13:08:37 EST
Package gtkpod-2.1.4-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtkpod-2.1.4-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2900/gtkpod-2.1.4-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-03-04 01:44:40 EST
gtkpod-2.1.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.